/**
 * 新增场地
 */
$(document).ready(function(){
	var XXPLcount = 0;
	
	var siteId = $("#siteId").val();
	
	// 初始化加载
	$.ajax({
		type : 'POST',
		url : '../siteApplication/findOrganization',
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#organization").empty();
			var subs = data.msg;// 获取data中list的数组
			var _array = [];
//			_array.push("<option value=''>--请选择--</option>");
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#organization").html(_array.join(""));
			}
			$("#organization").html(_array.join(""));
			
			var organizaId = '';
			var buildingId = '';
			
			if(siteId != 'undefined' && siteId != null && siteId != ""){
				$("#addSite").hide();
				$("#updateSite").show();
				//编辑场地--初始场地信息及图片
				$.ajax({
					type:'POST',
					url:'../site/editSitelication',
					dataType: 'json',//返回值类型 一般设置为json
					data:{"siteId":siteId},
					success: function (data)  //服务器成功响应处理函数
					{
						if(data.mapSite != 'undefined' && data.mapSite != null){
							var property = data.mapSite.propertyId;
							organizaId = data.mapSite.organizaId;
							buildingId = data.mapSite.buildingId;
							
							$.ajax({
								type : 'POST',
								url : '../siteApplication/findBuilding',
								data : {"organizationId":organizaId},
								dataType : 'json',// 返回值类型 一般设置为json
								success : function(data) // 服务器成功响应处理函数
								{
									$("#building").empty();
									var subs = data.msg;// 获取data中list的数组
									var _array = [];
									_array.push("");
									for ( var i = 0; i < subs.length; i++) {
										_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
										$("#building").html(_array.join(""));
									}
									$("#building").html(_array.join(""));
									//赋值楼栋
									$("#building").val(buildingId);
								}
							});
							
							$("#organization").val(organizaId);
							$("#siteType").val(data.mapSite.type);
							$("#acreage").val(data.mapSite.acreage);
							$("#capacity").val(data.mapSite.capacity);
							$("#name").val(data.mapSite.siteName);
							
							var siteType =$("#siteType").val();
							$("#d_property").val("");
							
							$.ajax({
								type : 'POST',
								url : '../site/findListSiteResource',
								data : {"siteType":siteType},
								dataType : 'json',// 返回值类型 一般设置为json
								success : function(data) // 服务器成功响应处理函数
								{
									var subs = data.listMap;// 获取data中list的数组
									if(subs == 'undefined' || subs == null){
										return;
									}
									$("#d_property").html("");
									for(var i=0;i<subs.length;i++){
										var id = subs[i].id;
										var propertyName = subs[i].propertyName;
										var detailsName = subs[i].detailsName;
										var detailsId = subs[i].detailsId;
										var boxType = subs[i].boxType;
							 			$("#d_property").append("<div class='form-group editor-box editor-info'><label for=''>"+propertyName+"</label>");
							 			//循环给场地赋值
										if(detailsName){
											var vals = detailsName.split(",");
											var valsId = detailsId.split(",");
											for(var j=0;j<vals.length;j++){
												if(vals[j] != ',' && valsId[j] != ','){
													$("#d_property").append('<div class="checkbox-inline"><label>');
													if(boxType == 0){
														$("#d_property").append("<input type='radio' value="+valsId[j]+" id=property"+valsId[j] +" name=property"+id +">" +vals[j]+"</input>");
													}
													if(boxType == 1){
														$("#d_property").append("<input type='checkbox' value="+valsId[j]+" id='property'"+valsId[j] +" name='property' >" +vals[j]+"</input>");
													}
													if(boxType == 2){
														$("#d_property").append(vals[j]+"<input type='input' value="+valsId[j]+"  id='property'"+valsId[j] +" name='property' ></input>");
													}
							                    
													$("#d_property").append("</label></div>");
												}
											}
										}
										$("#d_property").append("</div>");
									}
									
									//循环给选中的场地赋值
									if(property){
										var vals = property.split(",");
										//alert(vals);
										for(var i=0;i<vals.length;i++){
											if(vals[i] != ','){
												   $(":checkbox[value='"+vals[i]+"']").prop("checked",true);
												   $(":radio[value='"+vals[i]+"']").prop("checked",true);
											}
										}
									}
								}
							});
							
						}
						
						if(data.listImg != 'undefined' && data.listImg != null){
							var filePath = data.filePath;
							for(var i=0;i<data.listImg.length;i++){
								var imageUrl = data.listImg[i].path;
								imageUrl =  filePath+imageUrl;
							    var belongId = data.listImg[i].belongId;
					 			var str =  "<li class=li"+i+"><span class='sl-close' onclick='closepic("+i+","+belongId+")'></span><a href="+imageUrl+" target='_blank' ><img src="+imageUrl+" width='80' height='80' /></a></li>"
						    	$("#picreview").after(str);
					 			$("#XXPLhidden").after("<input name='accessory' type='hidden' id='XXPLhidden"+i+"' class='name"+XXPLcount+"' value="+data.listImg[i].fileName+" />");
							}	
						}
					}
				});
			}else{
				// 初始化加载楼栋
//				var organizationId = $("#organization").find("option:selected").text();
				var organizationId = $("#organization").val();
				$.ajax({
					type : 'POST',
					url : '../siteApplication/findBuilding',
					data : {"organizationId":organizationId},
					dataType : 'json',// 返回值类型 一般设置为json
					success : function(data) // 服务器成功响应处理函数
					{
						$("#building").empty();
						var subs = data.msg;// 获取data中list的数组
						var _array = [];
						_array.push("");
						for ( var i = 0; i < subs.length; i++) {
							_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
							$("#building").html(_array.join(""));
						}
						$("#building").html(_array.join(""));
					}
				});
			}
			
		}
	
	});
    
	//加载场地属性资源
	$("#siteType").change(function(){
		var siteType =$("#siteType").val();
//		if(siteType == null || siteType == ""){
//			alert("请选择场地类型！");
//			return;
//		}
		$.ajax({
			type : 'POST',
			url : '../site/findListSiteResource',
			data : {"siteType":siteType},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				var subs = data.listMap;// 获取data中list的数组
				if(subs == 'undefined' || subs == null){
					return;
				}
				$("#d_property").html("");
				for(var i=0;i<subs.length;i++){
					var id = subs[i].id;
					var propertyName = subs[i].propertyName;
					var detailsName = subs[i].detailsName;
					var detailsId = subs[i].detailsId;
					var boxType = subs[i].boxType;
		 			$("#d_property").append("<div class='form-group editor-box editor-info'><label for=''>"+propertyName+"</label>");
		 			//循环给场地赋值
					if(detailsName){
						var vals = detailsName.split(",");
						var valsId = detailsId.split(",");
						for(var j=0;j<vals.length;j++){
							if(vals[j] != ',' && valsId[j] != ','){
								$("#d_property").append('<div class="checkbox-inline"><label>');
								if(boxType == 0){
									$("#d_property").append("<input type='radio' value="+valsId[j]+" id=property"+valsId[j] +" name=property"+id +">" +vals[j]+"</input>");
								}
								if(boxType == 1){
									$("#d_property").append("<input type='checkbox' value="+valsId[j]+" id='property'"+valsId[j] +" name='property' >" +vals[j]+"</input>");
								}
								if(boxType == 2){
									$("#d_property").append(vals[j]+"<input type='input' value="+valsId[j]+"  id='property'"+valsId[j] +" name='property' ></input>");
								}
		                    
								$("#d_property").append("</label></div>");
							}
						}
					}
					$("#d_property").append("</div>");
				}
			}
		});
	});
	
	//新增场地
	$("#addSite").click(function(){
		var XXPLhidden ="";
		$("input[name='accessory'").each(function(){
			XXPLhidden = XXPLhidden+($(this).val())+",";
	    });
		var name = $("#name").val();
		var siteType = $("#siteType").val();
		var buildingId = $("#building").val();
		var organization = $("#organization").val();
		var capacity = $("#capacity").val();
		var acreage = $("#acreage").val();
		var uuid = $("#uuid").val();
		var name = $("#name").val();
		
		if(organization == null || organization == ""){
			alert("请选择高校！");
			return;
		}
		if(buildingId == null || buildingId == ""){
			alert("请选择楼栋！");
			return;
		}
		if(name == null || name == ""){
			alert("请填写场地名称！");
			return;
		}
		if(siteType == null || siteType == ""){
			alert("请选择类型！");
			return;
		}
		if(capacity == null || capacity == ""){
			alert("请填写场地容量！");
			return;
		}
		if(acreage == null || acreage == ""){
			alert("请填写场地面积！");
			return;
		}
		
		var resultcb = new Array();
		var property = new Array();
	    $('input[name="property"]:checked').each(function () {
             if($(this).is(":checked")){
            	 resultcb.push($(this).attr("value"));
             }
	    });
	    $('input[type="radio"]:checked').each(function () {
	    	if($(this).is(":checked")){
	    		property.push($(this).attr("value"));
	    	}
	    });
	    var vales = resultcb.join(",") +"," + property.join(",");
		$.ajax({
			type : 'POST',
			url : '../site/addSite',
			data:{"buildingId":buildingId,"name":name,"siteType":siteType,"capacity":capacity,"acreage":acreage,"property":vales,"uuid":uuid,"XXPLhidden":XXPLhidden},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../site/list";
				}else{
					alert(data.msg);
				}
			}
		});
	});
	
	//修改场地
	$("#updateSite").click(function(){
		var XXPLhidden ="";
		$("input[name='accessory'").each(function(){
			XXPLhidden = XXPLhidden+($(this).val())+",";
	    });
		var name = $("#name").val();
		var siteType = $("#siteType").val();
		var buildingId = $("#building").val();
		var organization = $("#organization").val();
		var capacity = $("#capacity").val();
		var acreage = $("#acreage").val();
		var uuid = $("#uuid").val();
		var name = $("#name").val();
		
		if(organization == null || organization == ""){
			alert("请选择高校！");
			return;
		}
		if(buildingId == null || buildingId == ""){
			alert("请选择楼栋！");
			return;
		}
		if(name == null || name == ""){
			alert("请填写场地名称！");
			return;
		}
		if(siteType == null || siteType == ""){
			alert("请选择类型！");
			return;
		}
		if(capacity == null || capacity == ""){
			alert("请填写场地容量！");
			return;
		}
		if(acreage == null || acreage == ""){
			alert("请填写场地面积！");
			return;
		}
		
		var resultcb = new Array();
		var property = new Array();
		$('input[name="property"]:checked').each(function () {
			if($(this).is(":checked")){
				resultcb.push($(this).attr("value"));
			}
		});
		$('input[type="radio"]:checked').each(function () {
			if($(this).is(":checked")){
				property.push($(this).attr("value"));
			}
		});
		var vales = resultcb.join(",") +"," + property.join(",");
		$.ajax({
			type : 'POST',
			url : '../site/updateSite',
			data:{"siteId":siteId,"buildingId":buildingId,"name":name,"siteType":siteType,"capacity":capacity,"acreage":acreage,"property":vales,"uuid":uuid,"XXPLhidden":XXPLhidden},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../site/list";
				}else{
					alert(data.msg);
				}
			}
		});
	});

	//取消返回
	$("#back").click(function(){
		window.location.href="../site/list";
	})
	
	//文件上传插件
	$("#uploadify").uploadify({
        swf 			: basePath+'/scripts/uploadify/uploadify.swf',	
		method			: 'post',	// 提交方式
		uploader		: basePath+'/admin/site/uploadImgageList;jsessionid='+$("#sessionId").val(),
		preventCaching	: true,		// 加随机数到URL后,防止缓存
		buttonCursor	: 'hand',	// 上传按钮Hover时的鼠标形状
		fileDataName    : 'fileName',
	//	buttonImage		: 'img/.....png',	// 按钮的背景图片,会覆盖文字
		buttonText		: '选择图片'	, //按钮上显示的文字，默认”SELECTFILES”
		height			: 35	, // 30 px
		width			: 150	, // 120 px
		fileObjName		: 'filedata',	//文件对象名称, 即属性名
		fileSizeLimit	:  '10MB',		// 文件大小限制, 100 KB
		fileTypeDesc	: '请上传图片文件'	,	//文件类型说明 any(*.*)
		fileTypeExts	: '*.bmp;*.jpg;*.tiff;*.gif;*.pcx;*.tga;*.exif;*.fpx;*.svg;*.png;',		// 允许的文件类型,分号分隔
		auto            : false,//是否选取文件后自动上传
		formData		: {'uuid':''} , //指定上传文件附带的其他数据。也动态设置。可通过getParameter()获取
		'onUploadStart' : function(file) {//在上传之前设置参数
            $("#uploadify").uploadify("settings", "formData", {'uuid':$("#uuid").val(),'type':'4'});  
        },
		multi			: true ,	// 多文件上传
		progressData	: 'speed',	// 进度显示, speed-上传速度,percentage-百分比	
		queueID			: 'fileQueue',//上传队列的DOM元素的ID号
		queueSizeLimit	: 99,	// 队列长度
		removeCompleted : true	,	// 上传完成后是否删除队列中的对应元素
		removeTimeout	: 2,	//上传完成后多少秒后删除队列中的进度条, 
		requeueErrors	: false,	// 上传失败后重新加入队列
		uploadLimit		: 30,	// 最多上传文件数量
		successTimeout	: 30,//表示文件上传完成后等待服务器响应的时间。超过该时间，那么将认为上传成功。
        
        onFallback :function(){
        	alert("您未安装FLASH控件，无法上传图片！请安装FLASH控件后再试。");
        },
        'onSelectError':function(file, errorCode, errorMsg){
        	switch(errorCode) {
            case -100:
                alert("上传的文件数量不能超过30个");
                break;
            case -110:
                alert("文件 ["+file.name+"] 大小超出了10M");
                break;
            case -120:
                alert("文件 ["+file.name+"] 大小异常！");
                break;
            case -130:
                alert("文件 ["+file.name+"] 类型不正确！");
                break;
        }
        },
	
	onUploadSuccess  :function(file, data, response){
		 	var json = eval('('+data+')');
		 	var imageUrl =  json.filePath;
		 	var attachmentIds = json.attachmentIds;
	 			var str =  "<li class=li"+XXPLcount+"><span class='sl-close' onclick='closepic("+XXPLcount+",\""+attachmentIds+"\")'></span><a href="+imageUrl+" target='_blank' ><img src="+imageUrl+" width='80' height='80' /></a></li>"
		    	$("#picreview").after(str);
    		 	$("#XXPLhidden").after("<input name='accessory' id='XXPLhidden"+XXPLcount+"' type='hidden' class='name"+XXPLcount+"' value="+json.fileName+" />");
    		 	XXPLcount++; 
    		 	$("#upload").after('<span class="megspan" style="color: green; font-weight: bold;">&nbsp;上传成功</span>');
    		 	$(".megspan").fadeOut(1000);
    	 
		}
    });
	
})

//加载楼栋
function initBuilding(){
		var organizationId = $("#organization").val();
		$.ajax({
			type : 'POST',
			url : '../siteApplication/findBuilding',
			data : {"organizationId":organizationId},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				$("#building").empty();
				var subs = data.msg;// 获取data中list的数组
				var _array = [];
				_array.push("");
				for ( var i = 0; i < subs.length; i++) {
					_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
					$("#building").html(_array.join(""));
				}
				$("#building").html(_array.join(""));
				
			}
		});
}

//删除 不需要的 图片
function closepic(num, attachmentId){
	$.ajax({
		 type : 'POST',
		 url : '../site/siteImgDelete',
		 data : {"id":attachmentId},
		 dataType : 'json',// 返回值类型 一般设置为json
		 success : function(data){
		   	 if(data.code == '0'){
		   		$(".li"+num).remove();
		   		//删除隐藏数据
		   		$("#XXPLhidden"+num).val($("#XXPLhidden"+num).val()+"_delete");
		   	 }else{
		   		 alert(data.msg);
		   	 }
		 }
	});
}


